/*
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#include "notificationcore.h"
#include <QDebug>
#include <QApplication>

bool NotificationCore::init(PluginSystemInterface *plugin_system)
{
	LayersCity::instance().setPluginSystem( plugin_system );
	PluginInterface::init(plugin_system);
	m_notification_layer = new LibnotifyLayer();

	if( SystemsCity::PluginSystem()->setLayerInterface (NotificationLayer ,m_notification_layer) )
		return true;
	return true;
}

void NotificationCore::release()
{
}

void NotificationCore::processEvent(PluginEvent &event)
{
//	if (event.system_event_type == PointersAreInitialized)
	Q_UNUSED(event);
}

QString NotificationCore::name()
{
	return "Ubuntu Notification";
}

QString NotificationCore::description()
{
	return "Ubuntu notification plugin";
}

QIcon *NotificationCore::icon()
{
	return new QIcon(":/icons/plugin.png");
}

QString NotificationCore::type()
{
	return "Notification Layer";
}

void NotificationCore::setProfileName(const QString &profileName)
{
	m_profile_name = profileName;
}

Q_EXPORT_PLUGIN2(NotificationCore, NotificationCore);
